CRDB upgrade requests

Upgrade Active-Active database requests

Redis Software
Method Path Description
POST /v1/crdbs/{crdb_guid}/upgrade Upgrade an Active-Active database

Upgrade an Active-Active database

POST /v1/crdbs/{crdb_guid}/upgrade

Upgrades an Active-Active database. Upgrades the Redis version and modules of all instances in the Active-Active database.

Request

Example HTTP request

POST /v1/crdbs/1/upgrade

Example JSON body

{
    "preserve_roles": true,
    "may_discard_data": false,
    "redis_version": "8.2" //Uses the latest version if not specified
}

Headers

Key Value Description
X-Task-ID string Specified task ID
X-Result-TTL integer Time (in seconds) to keep task result

URL parameters

Field Type Description
crdb_guid string Globally unique Active-Active database ID (GUID)

Request body

Field Type Description
force_discard boolean Discard data even if the database is replicated and/or persistent (default: false)
force_restart boolean Restart shards even if no version change (default: false)
keep_crdt_protocol_version boolean Keep current CRDT protocol version (default: false)
may_discard_data boolean Discard data in a non-replicated, non-persistent database (default: false)
modules array List of modules to upgrade with optional new arguments. Each object includes:
current_module: UID of module to upgrade (deprecated as of Redis Software v7.8.2)
new_module: UID of the module to upgrade to (deprecated as of Redis Software v7.8.2)
new_module_args: Arguments for the new module
parallel_shards_upgrade integer Max number of shards to upgrade in parallel (default: all shards)
preserve_roles boolean Preserve shards' primary/replica roles; requires an extra failover (default: false)
redis_version string Upgrades the database to the specified Redis version instead of the latest version

Response

Returns a CRDB task object.

Status codes

Code Description
200 OK Upgrade initiated successfully.
400 Bad Request Request validation error.
401 Unauthorized Unauthorized request. Invalid credentials.
404 Not Found Active-Active database not found.
406 Not Acceptable New module version capabilities don't comply with the database configuration.
RATE THIS PAGE
Back to top ↑